import React from 'react';
export declare const RecordContext_deprecated: React.Context<{}>;
export declare const RecordIndexContext: React.Context<any>;
/**
 * @deprecated use `CollectionRecordProvider` instead
 */
export declare const RecordProvider: (props: {
    record: any;
    parent?: any;
    isNew?: boolean;
    collectionName?: string;
    children: React.ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export declare const RecordSimpleProvider: (props: {
    value: Record<string, any>;
    children: React.ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export declare const RecordIndexProvider: (props: {
    index: any;
    children: React.ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
/**
 * @deprecated use `useCollectionRecord` instead
 */
export declare function useRecord<D = any>(): D;
export declare function useRecordIndex(): any;
export declare const useRecordIsOwn: () => boolean;
